RemoteUserLoginHandler (Shibboleth Identity Provider 2.2.0 Java API.)
Date: 2010-09-23

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.internet2.middleware.shibboleth.idp.authn.provider
Class RemoteUserLoginHandler

    java.lang.Object
      edu.internet2.middleware.shibboleth.idp.authn.provider.AbstractLoginHandler
          edu.internet2.middleware.shibboleth.idp.authn.provider.RemoteUserLoginHandler

All Implemented Interfaces:
  LoginHandler

    public class RemoteUserLoginHandler

extends AbstractLoginHandler

Authentication Handler that redirects to servlet protected by a Web Single-Sign-On system.

Field Summary

Fields inherited from interface edu.internet2.middleware.shibboleth.idp.authn.LoginHandler
`AUTHENTICATION_ERROR_KEY, AUTHENTICATION_EXCEPTION_KEY, AUTHENTICATION_METHOD_KEY, PRINCIPAL_KEY, PRINCIPAL_NAME_KEY, SUBJECT_KEY`

Constructor Summary
`RemoteUserLoginHandler()`

Method Summary
`String` | `getServletURL()` Get the URL of the SSO-protected servlet.
`void` | `login(javax.servlet.http.HttpServletRequest httpRequest, javax.servlet.http.HttpServletResponse httpResponse)` Authenticate the user making the request.
`void` | `setServletURL(String url)` Set the SSO-protected servlet's URL.

Methods inherited from class edu.internet2.middleware.shibboleth.idp.authn.provider.AbstractLoginHandler
`getAuthenticationDuration, getSupportedAuthenticationMethods, setAuthenticationDuration, setAuthenticationDurection, setSupportsForceAuthentication, setSupportsPassive, supportsForceAuthentication, supportsPassive`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemoteUserLoginHandler

    public RemoteUserLoginHandler()

Method Detail

### setServletURL

    public void setServletURL(String url)

  Set the SSO-protected servlet's URL.

  Parameters:
    `url` - The URL of the SSO-protected servlet.

### getServletURL

    public String getServletURL()

  Get the URL of the SSO-protected servlet.

  Returns:
    The URL of the SSO-protected servlet.

### login

    public void login(javax.servlet.http.HttpServletRequest httpRequest,
                      javax.servlet.http.HttpServletResponse httpResponse)

  Authenticate the user making the request.

  Parameters:
    `httpRequest` - user request
    `httpResponse` - response to user

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Internet2. All Rights Reserved.